#!/bin/bash

set -e

CLIENT_NAME=${CLIENT_NAME:-clienta}
NAMESPACE=${NAMESPACE:-by-enable-dev}
TLS_DIR=${CLIENT_NAME}-tls

export IN_CA_CRT="$TLS_DIR"/ca.crt
export IN_TLS_KEY="$TLS_DIR"/tls.key
export IN_TLS_CRT="$TLS_DIR"/tls.crt

export OUT_JKS_TRUSTSTORE="$TLS_DIR"/truststore.jks
export OUT_P12_KEYSTORE="$TLS_DIR"/keystore.p12

fetch_secret_file() {
  kubectl get secret -n "$NAMESPACE" "xta-test-server-${CLIENT_NAME}-tls-secret" -o jsonpath="$1" | base64 -d
}

mkdir -p "$TLS_DIR"

fetch_secret_file '{.data.ca\.crt}' > "$IN_CA_CRT"
fetch_secret_file '{.data.tls\.key}' > "$IN_TLS_KEY"
fetch_secret_file '{.data.tls\.crt}' > "$IN_TLS_CRT"

exec /bin/sh keystore-truststore-from-tls-secret.sh

