#!/bin/bash

set -e

NAMESPACE=${NAMESPACE:-by-enable-dev}

echo "[1.0] Find xta-test-server pod in namespace $NAMESPACE"
XTA_TEST_SERVER_POD=$(kubectl get pods -n "$NAMESPACE" -l app.kubernetes.io/name=xta-test-server -o jsonpath='{.items[0].metadata.name}')

echo "[1.1] Fetch truststore from xta-test-server pod"
kubectl cp "$NAMESPACE/$XTA_TEST_SERVER_POD:/store/truststore.jks" xta-test-truststore.jks

echo "[2.0] Show certificate in truststore xta-test-truststore.jks"
keytool -exportcert -keystore xta-test-truststore.jks -storepass password -alias xta-test-root-ca -file xta-test-root-ca.crt
openssl x509 -in xta-test-root-ca.crt -text -noout