#!/bin/sh

IN_CA_CRT=${IN_CA_CRT:-/tls/ca.crt}
IN_TLS_KEY=${IN_TLS_KEY:-/tls/tls.key}
IN_TLS_CRT=${IN_TLS_CRT:-/tls/tls.crt}

OUT_JKS_TRUSTSTORE=${OUT_JKS_TRUSTSTORE:-/store/truststore.jks}
OUT_JKS_TRUSTSTORE_KEY_ALIAS=${OUT_JKS_TRUSTSTORE_KEY_ALIAS:-xta-test-root-ca}
OUT_JKS_TRUSTSTORE_KEY_PASSWORD=${OUT_JKS_TRUSTSTORE_KEY_PASSWORD:-password}
echo "[1.0] Create $OUT_JKS_TRUSTSTORE from $IN_CA_CRT"
keytool -importcert -alias "$OUT_JKS_TRUSTSTORE_KEY_ALIAS" -keystore "$OUT_JKS_TRUSTSTORE" -storetype JKS -storepass "$OUT_JKS_TRUSTSTORE_KEY_PASSWORD" -file "$IN_CA_CRT" -noprompt

OUT_P12_KEYSTORE=${OUT_P12_KEYSTORE:-/store/keystore.p12}
OUT_P12_KEYSTORE_KEY_ALIAS=${OUT_P12_KEYSTORE_KEY_ALIAS:-xta-test-server}
OUT_P12_KEYSTORE_KEY_PASSWORD=${OUT_P12_KEYSTORE_KEY_PASSWORD:-password}
echo "[2.0] Create $OUT_P12_KEYSTORE from $IN_TLS_KEY and $IN_TLS_CRT"
openssl pkcs12 -export -in "$IN_TLS_CRT" -inkey "$IN_TLS_KEY" -out "$OUT_P12_KEYSTORE" -name "$OUT_P12_KEYSTORE_KEY_ALIAS" -passout "pass:$OUT_P12_KEYSTORE_KEY_PASSWORD"