package de.ozgcloud.xta.test.app.validation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

@Constraint(validatedBy = XtaIdValidator.class)
@Target({ ElementType.METHOD, ElementType.FIELD, ElementType.ANNOTATION_TYPE, ElementType.PARAMETER })
@Retention(RetentionPolicy.RUNTIME)
public @interface ValidXtaId {
	String MESSAGE_ID_NAMESPACE = "de:xta:messageid";
	String REQUEST_ID_NAMESPACE = "de:xta:requestid";
	String ANY_NAMESPACE = ".+";

	String message() default "Invalid xta id";

	String namespace() default ANY_NAMESPACE;

	Class<?>[] groups() default {};

	Class<? extends Payload>[] payload() default {};
}


