#!/bin/bash

set -e

ISSUER_ALIAS=xta-test-root-ca
STORE_PASS=password

function show_cert_by_alias {
  local key_alias="$1"
  keytool -exportcert -alias "$key_alias" -keystore "${key_alias}_keystore.p12" -file "${key_alias}.crt" -storepass "$STORE_PASS"
  openssl x509 -in "${key_alias}.crt" -text -noout
  rm "${key_alias}.crt" || true
}

openssl x509 -in "${ISSUER_ALIAS}.crt" -text -noout

show_cert_by_alias xta-test-server
show_cert_by_alias xta-test-client-john-smith

