package de.ozgcloud.xta.test.app.factory;

import java.io.File;
import java.math.BigInteger;
import java.nio.charset.StandardCharsets;

import jakarta.activation.DataHandler;
import jakarta.activation.DataSource;
import jakarta.activation.FileDataSource;

import genv3.de.xoev.transport.xta.x211.ContentType;

public class ContentTypeTestFactory {
	public static final String ZIP_CONTENT_TYPE = "application/zip";
	public static final String CONTENT_DESCRIPTION = "Test Content";
	public static final String ENCODING = StandardCharsets.UTF_8.toString();
	public static final String FILENAME = "Test_File.zip";
	public static final String ID = "476bd634-1bc4-42eb-b786-eecd2f52091c";
	public static final String LANG = "de";
	public static final String CONTENT = "test_content";

	public static ContentType createContentType() {
		ContentType contentType = new ContentType();
		contentType.setContentDescription(CONTENT_DESCRIPTION);
		contentType.setContentType(ZIP_CONTENT_TYPE);
		contentType.setEncoding(ENCODING);
		contentType.setFilename(FILENAME);
		contentType.setId(ID);
		contentType.setLang(LANG);
		contentType.setValue(createDataHandler(CONTENT));
		contentType.setSize(BigInteger.valueOf(CONTENT.getBytes(StandardCharsets.UTF_8).length));
		return contentType;
	}

	private static DataHandler createDataHandler(String content) {
		File input = TempFileTestFactory.createFile(content);
		DataSource dataSource = new FileDataSource(input);
		return new DataHandler(dataSource);
	}

}
