package de.ozgcloud.xta.test.app.factory;

import static de.ozgcloud.xta.test.app.factory.PartyIdentifierTypeTestFactory.*;

import genv3.de.xoev.transport.xta.x211.LookupServiceRequest;
import genv3.de.xoev.transport.xta.x211.LookupServiceType;
import genv3.eu.osci.ws.x2014.x10.transport.PartyType;

public class LookupServiceRequestTestFactory {
	public static final String SERVICE_TYPE = "http://www.osci.de/xmeld181/xmeld181Rueckmeldung.wsdl";
	public static final PartyType READER_PARTY_TYPE = createReaderPartyType();

	public static LookupServiceRequest create() {
		var lookupServiceRequest = new LookupServiceRequest();
		lookupServiceRequest.getLookupServiceRequestList()
				.add(createLookupServiceRequestList());

		return lookupServiceRequest;
	}

	private static LookupServiceRequest.LookupServiceRequestList createLookupServiceRequestList() {
		var lookupServiceRequestList = new LookupServiceRequest.LookupServiceRequestList();
		lookupServiceRequestList.setLookupService(createLookupServiceType());
		return lookupServiceRequestList;
	}

	private static LookupServiceType createLookupServiceType() {
		var lookupServiceType = new LookupServiceType();
		lookupServiceType.setReader(READER_PARTY_TYPE);
		lookupServiceType.setServiceType(SERVICE_TYPE);
		return lookupServiceType;
	}

	private static PartyType createReaderPartyType() {
		var readerPartyType = new PartyType();
		readerPartyType.setIdentifier(READER_PARTY_IDENTIFIER);
		return readerPartyType;
	}
}
