package de.ozgcloud.xta.test.app.factory;

import java.io.File;
import java.math.BigInteger;

import de.ozgcloud.xta.test.app.model.XtaFile;

public class XtaFileTestFactory {
	public static final String NAME = "Test_File";
	public static final String XTA_CONTENT = "slkafj3jifsdasx";
	public static final String ZIP_CONTENT_TYPE = "application/zip";

	public static XtaFile create() {
		return createBuilder().build();
	}

	public static XtaFile.XtaFileBuilder createBuilder() {
		File tfile = TempFileTestFactory.createFile(XTA_CONTENT);
		return XtaFile.builder()
				.name(NAME)
				.contentType(ZIP_CONTENT_TYPE)
				.file(tfile)
				.size(BigInteger.valueOf(tfile.getTotalSpace()));
	}

}
