package de.ozgcloud.xta.test.app.factory;

import static de.ozgcloud.xta.test.app.factory.MessageMetaDataTestFactory.*;
import static de.ozgcloud.xta.test.app.factory.PartyIdentifierTypeTestFactory.*;

import de.ozgcloud.xta.test.app.model.XtaIdentifier;
import de.ozgcloud.xta.test.app.model.XtaMessageMetaData;

public class XtaMessageMetaDataTestFactory {
	public static final String DEFAULT_MESSAGE_ID = "defaultMessageId";
	public static final XtaIdentifier AUTHOR_IDENTIFIER = XtaIdentifier.builder()
			.value(PARTY_IDENTIFIER_VALUE_AUTHOR)
			.name(PARTY_IDENTIFIER_NAME_AUTHOR)
			.category(PARTY_IDENTIFIER_CATEGORY_AUTHOR)
			.build();
	public static final XtaIdentifier READER_IDENTIFIER = XtaIdentifier.builder()
			.value(PARTY_IDENTIFIER_VALUE_READER)
			.name(PARTY_IDENTIFIER_NAME_READER)
			.category(PARTY_IDENTIFIER_CATEGORY_READER)
			.build();
	public static final String SERVICE = "Service";
	public static final String BUSINESS_SCENARIO_CODE = "BusinessScenarioCode";
	public static final String BUSINESS_SCENARIO_NAME = "BusinessScenarioName";
	public static final String BUSINESS_SCENARIO_LIST_URI = "BusinessScenarioListURI";
	public static final String BUSINESS_SCENARIO_LIST_VERSION_ID = "BusinessScenarioListVersionID";
	public static final String MESSAGE_TYPE_CODE = "MessageTypeCode";
	public static final String MESSAGE_PAYLOAD_SCHEMA = "MessageTypePayloadSchema";

	public static XtaMessageMetaData create() {
		return createBuilder().build();
	}

	public static XtaMessageMetaData create(String messageId) {
		return createBuilder()
				.messageId(messageId)
				.build();
	}

	public static XtaMessageMetaData.XtaMessageMetaDataBuilder createBuilder() {
		return XtaMessageMetaData.builder()
				.messageId(DEFAULT_MESSAGE_ID)
				.authorIdentifier(AUTHOR_IDENTIFIER)
				.readerIdentifier(READER_IDENTIFIER)
				.service(SERVICE)
				.businessScenarioCode(BUSINESS_SCENARIO_CODE)
				.businessScenarioName(BUSINESS_SCENARIO_NAME)
				.businessScenarioListUri(BUSINESS_SCENARIO_LIST_URI)
				.businessScenarioListVersionId(BUSINESS_SCENARIO_LIST_VERSION_ID)
				.messageTypeCode(MESSAGE_TYPE_CODE)
				.messageTypePayloadSchema(MESSAGE_PAYLOAD_SCHEMA)
				.messageSize(MESSAGE_SIZE);
	}

}
