package de.ozgcloud.xta.test.app.factory;

import java.util.List;

import de.ozgcloud.xta.test.app.model.XtaMessage;

public class XtaMessageTestFactory {
	public static final String MESSAGE_ID_1 = "status_1";
	public static final String MESSAGE_ID_2 = "status_2";

	public static XtaMessage create(String messageId) {
		return createBuilder(messageId).build();
	}

	public static XtaMessage.XtaMessageBuilder createBuilder() {
		return XtaMessage.builder()
				.metaData(XtaMessageMetaDataTestFactory.create())
				.messageFile(XtaFileTestFactory.create())
				.attachmentFiles(List.of(XtaFileTestFactory.create()));
	}

	public static XtaMessage.XtaMessageBuilder createBuilder(String messageId) {
		return XtaMessage.builder()
				.metaData(XtaMessageMetaDataTestFactory.create(messageId))
				.messageFile(XtaFileTestFactory.create())
				.attachmentFiles(List.of(XtaFileTestFactory.create()));
	}
}